# Aura Engine Features

This page gives a more detailed overview of the Aura Engine features.

## Input

### Play audio from multiple sources

It's possible to air playlists with music or recordings stored on the **filessystem**,
via external **streams** or live from a **studio**.

### Dynamic switching of sources

    TODO extend: * switch the soundserver at the correct time to a given source for a specific show

## Output

### Record output to filesystem

    TODO extend:  * record what is broadcasted

### Stream output to an Icecast Server

    TODO extend:  * stream to an icecast server

### Multichannel Line-out

    TODO extend:  * play to line-out

## Blank Detenction / Silence Detecter

The engine offers a simple way to detect scenarios where no music is on air.
It possible to configure the sensitivity of the Silence Detector and automatically
transition play-out to a Fallback Playlist (see Auto Pilot).

## Auto Pilot a.k.a. Fallback Handling

In case there is no schedule delivered by Steering, engine provides multiple
fallback handling scenarios. The available fallbacks are evaluated in following order:

1. **Timeslot Fallback**: //TODO explain
2. **Show Fallback**: //TODO explain
3. **Station Fallback**: //TODO explain
